
#define SND_TYPE_HUM	1
#define SND_TYPE_OFF	2
#define SND_TYPE_ON		3
#define SND_TYPE_HIT	4
#define SND_TYPE_STRIKE	5
#define SND_TYPE_SWING	6

#pragma pack(push, r1, 1)

typedef struct sndDesc
{
	BYTE type;
	DWORD offs;
	DWORD len;

	BYTE* data;
	BOOL allocd;
	struct sndDesc* next;
} SND_DESC;

typedef struct sndHeader
{
	USHORT ver;
	BYTE cnt;
	USHORT crc;

	SND_DESC* first;
} SND_HEADER;

#pragma pack(pop, r1, 4)

BOOL pack_add(BYTE* buffer, DWORD len, BYTE type);
void pack_new();
void pack_open(BYTE* data, DWORD len);
DWORD pack_calculate_size();
DWORD pack_get_blob(BYTE* buffer);
SND_HEADER* pack_get_header();
void pack_remove(int num);
