/***************************************************************************
 * Artekit STM32 DIY lightsaber audio board
 * Copyright (C) 2013 Artekit Italy
 * Written by Ivan Meleca
 * http://www.artekit.eu

### uart.c

#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/
#ifndef __UART_H__
#define __UART_H__

#include "stm32f10x.h"

#define UART_DEBUG

#ifdef UART_DEBUG
#define DEBUG(x)	uartWriteLine(x)
#else
#define DEBUG(x)
#endif
 
void uartInit(void);
uint8_t uartReadChar(uint8_t* c);
void uartWriteChar(uint8_t c);
void uartWriteLine(char* line);

#endif /* __UART_H__ */
